Package org.kapott.cryptalgs

## Class PKCS1_15

- java.lang.Object
- - java.security.SignatureSpi
  - - org.kapott.cryptalgs.PKCS1_15

    public class PKCS1_15
    extends java.security.SignatureSpi

### Field Summary

### Fields inherited from class java.security.SignatureSpi

`appRandom`

### Constructor Summary

Constructors
`PKCS1_15()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static byte[]` `createDigestInfo​(SignatureParamSpec spec, byte[] hash)`
`protected java.lang.Object` `engineGetParameter​(java.lang.String param1)` Deprecated.
`protected void` `engineInitSign​(java.security.PrivateKey privateKey)`
`protected void` `engineInitVerify​(java.security.PublicKey publicKey)`
`protected void` `engineSetParameter​(java.lang.String param1, java.lang.Object value)` Deprecated.
`protected void` `engineSetParameter​(java.security.spec.AlgorithmParameterSpec params)`
`protected byte[]` `engineSign()`
`protected void` `engineUpdate​(byte b)`
`protected void` `engineUpdate​(byte[] b, int off, int len)`
`protected boolean` `engineVerify​(byte[] sigBytes)`
`static java.security.MessageDigest` `getMessageDigest​(SignatureParamSpec spec)`

### Methods inherited from class java.security.SignatureSpi

`clone, engineGetParameters, engineInitSign, engineSign, engineUpdate, engineVerify`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PKCS1_15

    public PKCS1_15()

### Method Detail

#### engineSetParameter

    @Deprecated
    protected void engineSetParameter​(java.lang.String param1,
                                      java.lang.Object value)
                               throws java.security.InvalidParameterException

Deprecated.

Specified by:
  `engineSetParameter` in class `java.security.SignatureSpi`
Throws:
  `java.security.InvalidParameterException`

#### engineSetParameter

    protected void engineSetParameter​(java.security.spec.AlgorithmParameterSpec params)
                               throws java.security.InvalidAlgorithmParameterException

Overrides:
  `engineSetParameter` in class `java.security.SignatureSpi`
Throws:
  `java.security.InvalidAlgorithmParameterException`

#### engineGetParameter

    @Deprecated
    protected java.lang.Object engineGetParameter​(java.lang.String param1)
                                           throws java.security.InvalidParameterException

Deprecated.

Specified by:
  `engineGetParameter` in class `java.security.SignatureSpi`
Throws:
  `java.security.InvalidParameterException`

#### getMessageDigest

    public static java.security.MessageDigest getMessageDigest​(SignatureParamSpec spec)

#### engineInitSign

    protected void engineInitSign​(java.security.PrivateKey privateKey)

Specified by:
  `engineInitSign` in class `java.security.SignatureSpi`

#### engineInitVerify

    protected void engineInitVerify​(java.security.PublicKey publicKey)

Specified by:
  `engineInitVerify` in class `java.security.SignatureSpi`

#### engineUpdate

    protected void engineUpdate​(byte b)

Specified by:
  `engineUpdate` in class `java.security.SignatureSpi`

#### engineUpdate

    protected void engineUpdate​(byte[] b,
                                int off,
                                int len)

Specified by:
  `engineUpdate` in class `java.security.SignatureSpi`

#### engineSign

    protected byte[] engineSign()

Specified by:
  `engineSign` in class `java.security.SignatureSpi`

#### engineVerify

    protected boolean engineVerify​(byte[] sigBytes)

Specified by:
  `engineVerify` in class `java.security.SignatureSpi`

#### createDigestInfo

    public static byte[] createDigestInfo​(SignatureParamSpec spec,
                                          byte[] hash)